> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recos-and-merch-api/accessing-recommendations-api-only-specific-accounts.md).

# Accessing Recommendations API (only specific accounts)

The **AB Tasty API** allows you to fetch **product recommendations** via the following endpoint:\
`https://uc-info.eu.abtasty.com/v1/reco`

## Authentication <a href="#h_01jdq2r680zw061gxzyqw0wkvy" id="h_01jdq2r680zw061gxzyqw0wkvy"></a>

Authentication is handled via **"Bearer" authentication**, requiring an **API key**.

### Steps to Authenticate <a href="#h_01jdq2r680c7tt8c6k0qdfb5sj" id="h_01jdq2r680c7tt8c6k0qdfb5sj"></a>

1. Use your **API key** as the Bearer token in the `Authorization` HTTP header.
2. The **API key** is associated with a **Site ID**, which is a required path parameter in every API request.

## Finding Your API Key and Site ID <a href="#h_01jdq2r680kf2qdcxea45vcv7q" id="h_01jdq2r680kf2qdcxea45vcv7q"></a>

* Navigate to **Settings > Site** on the platform to locate your API key and Site ID.

## Important Note <a href="#h_01jdq2r680dep86bqtg4p6hfd9" id="h_01jdq2r680dep86bqtg4p6hfd9"></a>

* Keep your **API key** confidential.
* If you suspect that your API key has been compromised, contact AB Tasty support immediately.

## HTTP Header Example <a href="#h_01jdq2r680964s9shz9mp2wdjx" id="h_01jdq2r680964s9shz9mp2wdjx"></a>

| **Header**    | **Value**                |
| ------------- | ------------------------ |
| Authorization | Bearer `ABTASTY_API_KEY` |

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recos-and-merch-api/accessing-recommendations-api-only-specific-accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
